#/bin/bash
if [ $# != 2  ] ; then
    echo "需要2个参数"
    echo "例如 ./pm2StarterDistribute.sh dev distribute"
    echo "参数1 主机环境 master.json中的类型 例如:dev"
    echo "参数2 新物理机启动的servers servers.ts中的类型 例如:distribute"
    echo "关于参数配置，详见README描述"
    exit 1;
fi

npm install    #安装依赖库
npm run build
node pm2DistributeConfig.js ${1} ${2} #使用pm2来做进程管理，生成进程配置文件
pm2 start pomeloPm2Start.json #pm2 启动游戏服务器
